プロジェクト内のすべてのワークスペースにわたる永続的な通信セッションを、最新アクティブなものが先頭で一覧表示します。これらのセッションには、メッセージと実行が含まれます。これらは予約されたサンドボックスキャパシティーを追跡するランタイム セッションとは別です。次のページを取得するには、レスポンスから next_cursor をカーソルとして渡します。
クエリ パラメータ
-
最大結果(デフォルト50、最大 200)
-
単一のワークスペースに制限する
-
セッションの最新の実行状態でフィルタリング
-
この RFC3339 時間以降にアクティビティがあるセッションのみ
-
この RFC3339 時間より前にアクティビティがあるセッションのみ
-
前の応答の next_cursor からの遅延ページング トークン
GET /api/v1 /projects/{id}/sessions
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/sessions' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"has_more": true,
"limit": 42,
"next_cursor": "string",
"sessions": [
{
"active_duration_ms": 42,
"created_at": "string",
"first_message_preview": "string",
"last_activity": "string",
"latest_status": "string",
"project_id": "string",
"session_id": "string",
"total_duration_ms": 42,
"total_tokens": 42,
"turns": 42,
"user_id": "string",
"visibility": "string",
"wait_ms": 42,
"workspace_id": "string"
}
],
"total_count": 42,
"truncated": true
}
応答の例(200)
{
"has_more": true,
"limit": 42,
"next_cursor": "string",
"sessions": [
{
"active_duration_ms": 42,
"created_at": "string",
"first_message_preview": "string",
"last_activity": "string",
"latest_status": "string",
"project_id": "string",
"session_id": "string",
"total_duration_ms": 42,
"total_tokens": 42,
"turns": 42,
"user_id": "string",
"visibility": "string",
"wait_ms": 42,
"workspace_id": "string"
}
],
"total_count": 42,
"truncated": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}